# How to Set up Deno RESTful CRUD Project with MongoDB

In this article, you will learn how to set up a Deno CRUD API project that runs on an Oak middleware server and uses a MongoDB database. If you are familiar with Node.js then getting up and running with Deno won't be that difficult.

![How to Set up Deno RESTful CRUD Project with MongoDB](https://codevoweb.com/wp-content/uploads/2022/09/How-to-Set-up-Deno-RESTful-CRUD-Project-with-MongoDB.webp)

## Topics Covered

- Set up and install Deno
- Create the Deno Server with Oak Middleware
- Setup the MongoDB Server with Docker
- Create the Database Model
- Add the Route to the Server
- Test the API Endpoints

Read the entire article here: [https://codevoweb.com/setup-deno-restful-crud-project-with-mongodb](https://codevoweb.com/setup-deno-restful-crud-project-with-mongodb)

Articles in this Series:

### 1. How to Setup and Use MongoDB with Deno

[How to Setup and Use MongoDB with Deno](https://codevoweb.com/setup-and-use-mongodb-with-deno)

### 2. How to Set up Deno RESTful CRUD Project with MongoDB

[How to Set up Deno RESTful CRUD Project with MongoDB](https://codevoweb.com/setup-deno-restful-crud-project-with-mongodb)

### 3. Authentication with Bcrypt, JWT, and Cookies in Deno

[Authentication with Bcrypt, JWT, and Cookies in Deno](https://codevoweb.com/authentication-with-bcrypt-jwt-and-cookies-in-deno)

### 4. Build a Complete Deno CRUD RESTful API with MongoDB

[Build a Complete Deno CRUD RESTful API with MongoDB](https://codevoweb.com/deno-crud-restful-api-with-mongodb)
